package local;

import java.rmi.RemoteException;

import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * ŏLocal EJB̃Tv
 */
public class HelloBean implements SessionBean{

    public String sayHello() {	

	    System.out.println("call sayHello");

		try{
			InitialContext ctx = new InitialContext();
	
			LocalHelloHome home = (LocalHelloHome)ctx.lookup("java:comp/env/ejb/LocalHelloEJB");
			LocalHello hello = home.create();
			    	
	    	String message = hello.sayHello();
	    	
	        return message;

		}catch(Exception e){
			throw new EJBException(e);
		}

    }


    public void setSessionContext(SessionContext ctx) throws EJBException, RemoteException {
    }

    public void ejbRemove() throws EJBException, RemoteException {
    }

    public void ejbActivate() throws EJBException, RemoteException {
    }

    public void ejbPassivate() throws EJBException, RemoteException {
    }

    public void ejbCreate() {
    }
}

